Index: board_enable.c
===================================================================
--- board_enable.c	(revision 1288)
+++ board_enable.c	(working copy)
@@ -700,71 +703,71 @@
  */
 static int board_asus_p5a(void)
 {
-	uint8_t tmp;
-	int i;
+        uint8_t tmp;
+        int i;
 
 #define ASUSP5A_LOOP 5000
 
-	OUTB(0x00, 0xE807);
-	OUTB(0xEF, 0xE803);
+        OUTB(0x00, 0xE807);
+        OUTB(0xEF, 0xE803);
 
-	OUTB(0xFF, 0xE800);
+        OUTB(0xFF, 0xE800);
 
-	for (i = 0; i < ASUSP5A_LOOP; i++) {
-		OUTB(0xE1, 0xFF);
-		if (INB(0xE800) & 0x04)
-			break;
-	}
+        for (i = 0; i < ASUSP5A_LOOP; i++) {
+                OUTB(0xE1, 0xFF);
+                if (INB(0xE800) & 0x04)
+                        break;
+        }
 
-	if (i == ASUSP5A_LOOP) {
-		msg_perr("Unable to contact device.\n");
-		return -1;
-	}
+        if (i == ASUSP5A_LOOP) {
+                msg_perr("Unable to contact device.\n");
+                return -1;
+        }
 
-	OUTB(0x20, 0xE801);
-	OUTB(0x20, 0xE1);
+        OUTB(0x20, 0xE801);
+        OUTB(0x20, 0xE1);
 
-	OUTB(0xFF, 0xE802);
+        OUTB(0xFF, 0xE802);
 
-	for (i = 0; i < ASUSP5A_LOOP; i++) {
-		tmp = INB(0xE800);
-		if (tmp & 0x70)
-			break;
-	}
+        for (i = 0; i < ASUSP5A_LOOP; i++) {
+                tmp = INB(0xE800);
+                if (tmp & 0x70)
+                        break;
+        }
 
-	if ((i == ASUSP5A_LOOP) || !(tmp & 0x10)) {
-		msg_perr("Failed to read device.\n");
-		return -1;
-	}
+        if ((i == ASUSP5A_LOOP) || !(tmp & 0x10)) {
+                msg_perr("Failed to read device.\n");
+                return -1;
+        }
 
-	tmp = INB(0xE804);
-	tmp &= ~0x02;
+        tmp = INB(0xE804);
+        tmp &= ~0x02;
 
-	OUTB(0x00, 0xE807);
-	OUTB(0xEE, 0xE803);
+        OUTB(0x00, 0xE807);
+        OUTB(0xEE, 0xE803);
 
-	OUTB(tmp, 0xE804);
+        OUTB(tmp, 0xE804);
 
-	OUTB(0xFF, 0xE800);
-	OUTB(0xE1, 0xFF);
+        OUTB(0xFF, 0xE800);
+        OUTB(0xE1, 0xFF);
 
-	OUTB(0x20, 0xE801);
-	OUTB(0x20, 0xE1);
+        OUTB(0x20, 0xE801);
+        OUTB(0x20, 0xE1);
 
-	OUTB(0xFF, 0xE802);
+        OUTB(0xFF, 0xE802);
 
-	for (i = 0; i < ASUSP5A_LOOP; i++) {
-		tmp = INB(0xE800);
-		if (tmp & 0x70)
-			break;
-	}
+        for (i = 0; i < ASUSP5A_LOOP; i++) {
+                tmp = INB(0xE800);
+                if (tmp & 0x70)
+                        break;
+        }
 
-	if ((i == ASUSP5A_LOOP) || !(tmp & 0x10)) {
-		msg_perr("Failed to write to device.\n");
-		return -1;
-	}
+        if ((i == ASUSP5A_LOOP) || !(tmp & 0x10)) {
+                msg_perr("Failed to write to device.\n");
+                return -1;
+        }
 
-	return 0;
+        return 0;
 }
 
 /*
@@ -774,11 +777,11 @@
  */
 static int board_hp_dl145_g3_enable(void)
 {
-	/* GPIO 0 reg from PM regs */
-	/* Set GPIO 2 and 5 high, connected to flash WP# and TBL# pins. */
-	sio_mask(0xcd6, 0x44, 0x24, 0x24);
+        /* GPIO 0 reg from PM regs */
+        /* Set GPIO 2 and 5 high, connected to flash WP# and TBL# pins. */
+        sio_mask(0xcd6, 0x44, 0x24, 0x24);
 
-	return 0;
+        return 0;
 }
 
 /*
@@ -788,19 +791,19 @@
  */
 static int board_hp_dl165_g6_enable(void)
 {
-	/* Variant of DL145, with slightly different pin placement. */
-	sio_mask(0xcd6, 0x44, 0x80, 0x80); /* TBL# */
-	sio_mask(0xcd6, 0x46, 0x04, 0x04); /* WP# */
+        /* Variant of DL145, with slightly different pin placement. */
+        sio_mask(0xcd6, 0x44, 0x80, 0x80); /* TBL# */
+        sio_mask(0xcd6, 0x46, 0x04, 0x04); /* WP# */
 
-	return 0;
+        return 0;
 }
 
 static int board_ibm_x3455(void)
 {
-	/* Raise GPIO13. */
-	sio_mask(0xcd6, 0x45, 0x20, 0x20);
+        /* Raise GPIO13. */
+        sio_mask(0xcd6, 0x45, 0x20, 0x20);
 
-	return 0;
+        return 0;
 }
 
 /*
@@ -809,18 +812,18 @@
  */
 static int board_shuttle_fn25(void)
 {
-	struct pci_dev *dev;
+        struct pci_dev *dev;
 
-	dev = pci_dev_find(0x10DE, 0x0050);	/* NVIDIA CK804 ISA Bridge. */
-	if (!dev) {
-		msg_perr("\nERROR: NVIDIA nForce4 ISA bridge not found.\n");
-		return -1;
-	}
+        dev = pci_dev_find(0x10DE, 0x0050);     /* NVIDIA CK804 ISA Bridge. */
+        if (!dev) {
+                msg_perr("\nERROR: NVIDIA nForce4 ISA bridge not found.\n");
+                return -1;
+        }
 
-	/* one of those bits seems to be connected to TBL#, but -ENOINFO. */
-	pci_write_byte(dev, 0x92, 0);
+        /* one of those bits seems to be connected to TBL#, but -ENOINFO. */
+        pci_write_byte(dev, 0x92, 0);
 
-	return 0;
+        return 0;
 }
 
 /*
@@ -829,20 +832,20 @@
  */
 static int board_ecs_geforce6100sm_m(void)
 {
-	struct pci_dev *dev;
-	uint32_t tmp;
+        struct pci_dev *dev;
+        uint32_t tmp;
 
-	dev = pci_dev_find(0x10DE, 0x03EB);     /* NVIDIA MCP61 SMBus. */
-	if (!dev) {
-		msg_perr("\nERROR: NVIDIA MCP61 SMBus not found.\n");
-		return -1;
-	}
+        dev = pci_dev_find(0x10DE, 0x03EB);     /* NVIDIA MCP61 SMBus. */
+        if (!dev) {
+                msg_perr("\nERROR: NVIDIA MCP61 SMBus not found.\n");
+                return -1;
+        }
 
-	tmp = pci_read_byte(dev, 0xE0);
-	tmp &= ~(1 << 3);
-	pci_write_byte(dev, 0xE0, tmp);
+        tmp = pci_read_byte(dev, 0xE0);
+        tmp &= ~(1 << 3);
+        pci_write_byte(dev, 0xE0, tmp);
 
-	return 0;
+        return 0;
 }
 
 /*
@@ -850,73 +853,73 @@
  */
 static int nvidia_mcp_gpio_set(int gpio, int raise)
 {
-	struct pci_dev *dev;
-	uint16_t base;
-	uint16_t devclass;
-	uint8_t tmp;
+        struct pci_dev *dev;
+        uint16_t base;
+        uint16_t devclass;
+        uint8_t tmp;
 
-	if ((gpio < 0) || (gpio >= 0x40)) {
-		msg_perr("\nERROR: unsupported GPIO: %d.\n", gpio);
-		return -1;
-	}
+        if ((gpio < 0) || (gpio >= 0x40)) {
+                msg_perr("\nERROR: unsupported GPIO: %d.\n", gpio);
+                return -1;
+        }
 
-	/* First, check the ISA Bridge */
-	dev = pci_dev_find_vendorclass(0x10DE, 0x0601);
-	switch (dev->device_id) {
-	case 0x0030: /* CK804 */
-	case 0x0050: /* MCP04 */
-	case 0x0060: /* MCP2 */
-	case 0x00E0: /* CK8 */
-		break;
-	case 0x0260: /* MCP51 */
-	case 0x0261: /* MCP51 */
-	case 0x0364: /* MCP55 */
-		/* find SMBus controller on *this* southbridge */
-		/* The infamous Tyan S2915-E has two south bridges; they are
-		   easily told apart from each other by the class of the 
-		   LPC bridge, but have the same SMBus bridge IDs */
-		if (dev->func != 0) {
-			msg_perr("MCP LPC bridge at unexpected function"
-			         " number %d\n", dev->func);
-			return -1;
-		}
+        /* First, check the ISA Bridge */
+        dev = pci_dev_find_vendorclass(0x10DE, 0x0601);
+        switch (dev->device_id) {
+        case 0x0030: /* CK804 */
+        case 0x0050: /* MCP04 */
+        case 0x0060: /* MCP2 */
+        case 0x00E0: /* CK8 */
+                break;
+        case 0x0260: /* MCP51 */
+        case 0x0261: /* MCP51 */
+        case 0x0364: /* MCP55 */
+                /* find SMBus controller on *this* southbridge */
+                /* The infamous Tyan S2915-E has two south bridges; they are
+                   easily told apart from each other by the class of the
+                   LPC bridge, but have the same SMBus bridge IDs */
+                if (dev->func != 0) {
+                        msg_perr("MCP LPC bridge at unexpected function"
+                                 " number %d\n", dev->func);
+                        return -1;
+                }
 
 #if PCI_LIB_VERSION >= 0x020200
-		dev = pci_get_dev(pacc, dev->domain, dev->bus, dev->dev, 1);
+                dev = pci_get_dev(pacc, dev->domain, dev->bus, dev->dev, 1);
 #else
-		/* pciutils/libpci before version 2.2 is too old to support
-		 * PCI domains. Such old machines usually don't have domains
-		 * besides domain 0, so this is not a problem.
-		 */
-		dev = pci_get_dev(pacc, dev->bus, dev->dev, 1);
+                /* pciutils/libpci before version 2.2 is too old to support
+                 * PCI domains. Such old machines usually don't have domains
+                 * besides domain 0, so this is not a problem.
+                 */
+                dev = pci_get_dev(pacc, dev->bus, dev->dev, 1);
 #endif
-		if (!dev) {
-			msg_perr("MCP SMBus controller could not be found\n");
-			return -1;
-		}
-		devclass = pci_read_word(dev, PCI_CLASS_DEVICE);
-		if (devclass != 0x0C05) {
-			msg_perr("Unexpected device class %04x for SMBus"
-			         " controller\n", devclass);
-			return -1;
-		}
-		break;
-	default:
-		msg_perr("\nERROR: no NVIDIA LPC/SMBus controller found.\n");
-		return -1;
-	}
+                if (!dev) {
+                        msg_perr("MCP SMBus controller could not be found\n");
+                        return -1;
+                }
+                devclass = pci_read_word(dev, PCI_CLASS_DEVICE);
+                if (devclass != 0x0C05) {
+                        msg_perr("Unexpected device class %04x for SMBus"
+                                 " controller\n", devclass);
+                        return -1;
+                }
+                break;
+        default:
+                msg_perr("\nERROR: no NVIDIA LPC/SMBus controller found.\n");
+                return -1;
+        }
 
-	base = pci_read_long(dev, 0x64) & 0x0000FF00; /* System control area */
-	base += 0xC0;
+        base = pci_read_long(dev, 0x64) & 0x0000FF00; /* System control area */
+        base += 0xC0;
 
-	tmp = INB(base + gpio);
-	tmp &= ~0x0F; /* null lower nibble */
-	tmp |= 0x04; /* gpio -> output. */
-	if (raise)
-		tmp |= 0x01;
-	OUTB(tmp, base + gpio);
+        tmp = INB(base + gpio);
+        tmp &= ~0x0F; /* null lower nibble */
+        tmp |= 0x04; /* gpio -> output. */
+        if (raise)
+                tmp |= 0x01;
+        OUTB(tmp, base + gpio);
 
-	return 0;
+        return 0;
 }
 
 /*
@@ -926,7 +929,7 @@
  */
 static int nvidia_mcp_gpio0_raise(void)
 {
-	return nvidia_mcp_gpio_set(0x00, 1);
+        return nvidia_mcp_gpio_set(0x00, 1);
 }
 
 /*
@@ -935,7 +938,7 @@
  */
 static int nvidia_mcp_gpio2_lower(void)
 {
-	return nvidia_mcp_gpio_set(0x02, 0);
+        return nvidia_mcp_gpio_set(0x02, 0);
 }
 
 /*
@@ -946,7 +949,7 @@
  */
 static int nvidia_mcp_gpio2_raise(void)
 {
-	return nvidia_mcp_gpio_set(0x02, 1);
+        return nvidia_mcp_gpio_set(0x02, 1);
 }
 
 /*
@@ -955,7 +958,7 @@
  */
 static int nvidia_mcp_gpio4_raise(void)
 {
-	return nvidia_mcp_gpio_set(0x04, 1);
+        return nvidia_mcp_gpio_set(0x04, 1);
 }
 
 /*
@@ -972,7 +975,7 @@
  */
 static int nvidia_mcp_gpio5_raise(void)
 {
-	return nvidia_mcp_gpio_set(0x05, 1);
+        return nvidia_mcp_gpio_set(0x05, 1);
 }
 
 /*
@@ -981,7 +984,7 @@
  */
 static int nvidia_mcp_gpio8_raise(void)
 {
-	return nvidia_mcp_gpio_set(0x08, 1);
+        return nvidia_mcp_gpio_set(0x08, 1);
 }
 
 /*
@@ -990,7 +993,7 @@
  */
 static int nvidia_mcp_gpio0c_raise(void)
 {
-	return nvidia_mcp_gpio_set(0x0c, 1);
+        return nvidia_mcp_gpio_set(0x0c, 1);
 }
 
 /*
@@ -999,7 +1002,7 @@
  */
 static int nvidia_mcp_gpio4_lower(void)
 {
-	return nvidia_mcp_gpio_set(0x04, 0);
+        return nvidia_mcp_gpio_set(0x04, 0);
 }
 
 /*
@@ -1008,7 +1011,7 @@
  */
 static int nvidia_mcp_gpio10_raise(void)
 {
-	return nvidia_mcp_gpio_set(0x10, 1);
+        return nvidia_mcp_gpio_set(0x10, 1);
 }
 
 /*
@@ -1017,7 +1020,7 @@
  */
 static int nvidia_mcp_gpio21_raise(void)
 {
-	return nvidia_mcp_gpio_set(0x21, 0x01);
+        return nvidia_mcp_gpio_set(0x21, 0x01);
 }
 
 /*
@@ -1026,7 +1029,7 @@
  */
 static int nvidia_mcp_gpio31_raise(void)
 {
-	return nvidia_mcp_gpio_set(0x31, 0x01);
+        return nvidia_mcp_gpio_set(0x31, 0x01);
 }
 
 /*
@@ -1036,7 +1039,7 @@
  */
 static int nvidia_mcp_gpio3b_raise(void)
 {
-	return nvidia_mcp_gpio_set(0x3b, 1);
+        return nvidia_mcp_gpio_set(0x3b, 1);
 }
 
 /*
@@ -1045,40 +1048,40 @@
  */
 static int board_artecgroup_dbe6x(void)
 {
-#define DBE6x_MSR_DIVIL_BALL_OPTS	0x51400015
-#define DBE6x_PRI_BOOT_LOC_SHIFT	2
-#define DBE6x_BOOT_OP_LATCHED_SHIFT	8
-#define DBE6x_SEC_BOOT_LOC_SHIFT	10
-#define DBE6x_PRI_BOOT_LOC		(3 << DBE6x_PRI_BOOT_LOC_SHIFT)
-#define DBE6x_BOOT_OP_LATCHED		(3 << DBE6x_BOOT_OP_LATCHED_SHIFT)
-#define DBE6x_SEC_BOOT_LOC		(3 << DBE6x_SEC_BOOT_LOC_SHIFT)
-#define DBE6x_BOOT_LOC_FLASH		2
-#define DBE6x_BOOT_LOC_FWHUB		3
+#define DBE6x_MSR_DIVIL_BALL_OPTS       0x51400015
+#define DBE6x_PRI_BOOT_LOC_SHIFT        2
+#define DBE6x_BOOT_OP_LATCHED_SHIFT     8
+#define DBE6x_SEC_BOOT_LOC_SHIFT        10
+#define DBE6x_PRI_BOOT_LOC              (3 << DBE6x_PRI_BOOT_LOC_SHIFT)
+#define DBE6x_BOOT_OP_LATCHED           (3 << DBE6x_BOOT_OP_LATCHED_SHIFT)
+#define DBE6x_SEC_BOOT_LOC              (3 << DBE6x_SEC_BOOT_LOC_SHIFT)
+#define DBE6x_BOOT_LOC_FLASH            2
+#define DBE6x_BOOT_LOC_FWHUB            3
 
-	msr_t msr;
-	unsigned long boot_loc;
+        msr_t msr;
+        unsigned long boot_loc;
 
-	/* Geode only has a single core */
-	if (setup_cpu_msr(0))
-		return -1;
+        /* Geode only has a single core */
+        if (setup_cpu_msr(0))
+                return -1;
 
-	msr = rdmsr(DBE6x_MSR_DIVIL_BALL_OPTS);
+        msr = rdmsr(DBE6x_MSR_DIVIL_BALL_OPTS);
 
-	if ((msr.lo & (DBE6x_BOOT_OP_LATCHED)) ==
-	    (DBE6x_BOOT_LOC_FWHUB << DBE6x_BOOT_OP_LATCHED_SHIFT))
-		boot_loc = DBE6x_BOOT_LOC_FWHUB;
-	else
-		boot_loc = DBE6x_BOOT_LOC_FLASH;
+        if ((msr.lo & (DBE6x_BOOT_OP_LATCHED)) ==
+            (DBE6x_BOOT_LOC_FWHUB << DBE6x_BOOT_OP_LATCHED_SHIFT))
+                boot_loc = DBE6x_BOOT_LOC_FWHUB;
+        else
+                boot_loc = DBE6x_BOOT_LOC_FLASH;
 
-	msr.lo &= ~(DBE6x_PRI_BOOT_LOC | DBE6x_SEC_BOOT_LOC);
-	msr.lo |= ((boot_loc << DBE6x_PRI_BOOT_LOC_SHIFT) |
-		   (boot_loc << DBE6x_SEC_BOOT_LOC_SHIFT));
+        msr.lo &= ~(DBE6x_PRI_BOOT_LOC | DBE6x_SEC_BOOT_LOC);
+        msr.lo |= ((boot_loc << DBE6x_PRI_BOOT_LOC_SHIFT) |
+                   (boot_loc << DBE6x_SEC_BOOT_LOC_SHIFT));
 
-	wrmsr(DBE6x_MSR_DIVIL_BALL_OPTS, msr);
+        wrmsr(DBE6x_MSR_DIVIL_BALL_OPTS, msr);
 
-	cleanup_cpu_msr();
+        cleanup_cpu_msr();
 
-	return 0;
+        return 0;
 }
 
 /*
@@ -1086,84 +1089,84 @@
  */
 static int intel_piix4_gpo_set(unsigned int gpo, int raise)
 {
-	unsigned int gpo_byte, gpo_bit;
-	struct pci_dev *dev;
-	uint32_t tmp, base;
+        unsigned int gpo_byte, gpo_bit;
+        struct pci_dev *dev;
+        uint32_t tmp, base;
 
-	static const uint32_t nonmuxed_gpos  = 0x58000101; /* GPPO {0,8,27,28,30} are always available */
+        static const uint32_t nonmuxed_gpos  = 0x58000101; /* GPPO {0,8,27,28,30} are always available */
 
-	static const struct {unsigned int reg, mask, value; } piix4_gpo[] = {
-	  {0},
-	  {0xB0, 0x0001, 0x0000},        /* GPO1... */
-	  {0xB0, 0x0001, 0x0000},
-	  {0xB0, 0x0001, 0x0000},
-	  {0xB0, 0x0001, 0x0000},
-	  {0xB0, 0x0001, 0x0000},
-	  {0xB0, 0x0001, 0x0000},
-	  {0xB0, 0x0001, 0x0000},        /* ...GPO7: GENCFG bit 0 */
-	  {0},
-	  {0xB0, 0x0100, 0x0000},        /* GPO9:  GENCFG bit 8 */
-	  {0xB0, 0x0200, 0x0000},        /* GPO10: GENCFG bit 9 */
-	  {0xB0, 0x0400, 0x0000},        /* GPO11: GENCFG bit 10 */
-	  {0x4E, 0x0100, 0x0000},        /* GPO12... */
-	  {0x4E, 0x0100, 0x0000},
-	  {0x4E, 0x0100, 0x0000},        /* ...GPO14: XBCS bit 8 */
-	  {0xB2, 0x0002, 0x0002},        /* GPO15... */
-	  {0xB2, 0x0002, 0x0002},        /* ...GPO16: GENCFG bit 17 */
-	  {0xB2, 0x0004, 0x0004},        /* GPO17: GENCFG bit 18 */
-	  {0xB2, 0x0008, 0x0008},        /* GPO18: GENCFG bit 19 */
-	  {0xB2, 0x0010, 0x0010},        /* GPO19: GENCFG bit 20 */
-	  {0xB2, 0x0020, 0x0020},        /* GPO20: GENCFG bit 21 */
-	  {0xB2, 0x0040, 0x0040},        /* GPO21: GENCFG bit 22 */
-	  {0xB2, 0x1000, 0x1000},        /* GPO22... */
-	  {0xB2, 0x1000, 0x1000},        /* ...GPO23: GENCFG bit 28 */
-	  {0xB2, 0x2000, 0x2000},        /* GPO24: GENCFG bit 29 */
-	  {0xB2, 0x4000, 0x4000},        /* GPO25: GENCFG bit 30 */
-	  {0xB2, 0x8000, 0x8000},        /* GPO26: GENCFG bit 31 */
-	  {0},
-	  {0},
-	  {0x4E, 0x0100, 0x0000},        /* ...GPO29: XBCS bit 8 */
-	  {0}
-	};
+        static const struct {unsigned int reg, mask, value; } piix4_gpo[] = {
+          {0},
+          {0xB0, 0x0001, 0x0000},        /* GPO1... */
+          {0xB0, 0x0001, 0x0000},
+          {0xB0, 0x0001, 0x0000},
+          {0xB0, 0x0001, 0x0000},
+          {0xB0, 0x0001, 0x0000},
+          {0xB0, 0x0001, 0x0000},
+          {0xB0, 0x0001, 0x0000},        /* ...GPO7: GENCFG bit 0 */
+          {0},
+          {0xB0, 0x0100, 0x0000},        /* GPO9:  GENCFG bit 8 */
+          {0xB0, 0x0200, 0x0000},        /* GPO10: GENCFG bit 9 */
+          {0xB0, 0x0400, 0x0000},        /* GPO11: GENCFG bit 10 */
+          {0x4E, 0x0100, 0x0000},        /* GPO12... */
+          {0x4E, 0x0100, 0x0000},
+          {0x4E, 0x0100, 0x0000},        /* ...GPO14: XBCS bit 8 */
+          {0xB2, 0x0002, 0x0002},        /* GPO15... */
+          {0xB2, 0x0002, 0x0002},        /* ...GPO16: GENCFG bit 17 */
+          {0xB2, 0x0004, 0x0004},        /* GPO17: GENCFG bit 18 */
+          {0xB2, 0x0008, 0x0008},        /* GPO18: GENCFG bit 19 */
+          {0xB2, 0x0010, 0x0010},        /* GPO19: GENCFG bit 20 */
+          {0xB2, 0x0020, 0x0020},        /* GPO20: GENCFG bit 21 */
+          {0xB2, 0x0040, 0x0040},        /* GPO21: GENCFG bit 22 */
+          {0xB2, 0x1000, 0x1000},        /* GPO22... */
+          {0xB2, 0x1000, 0x1000},        /* ...GPO23: GENCFG bit 28 */
+          {0xB2, 0x2000, 0x2000},        /* GPO24: GENCFG bit 29 */
+          {0xB2, 0x4000, 0x4000},        /* GPO25: GENCFG bit 30 */
+          {0xB2, 0x8000, 0x8000},        /* GPO26: GENCFG bit 31 */
+          {0},
+          {0},
+          {0x4E, 0x0100, 0x0000},        /* ...GPO29: XBCS bit 8 */
+          {0}
+        };
 
 
-	dev = pci_dev_find(0x8086, 0x7110);	/* Intel PIIX4 ISA bridge */
-	if (!dev) {
-		msg_perr("\nERROR: Intel PIIX4 ISA bridge not found.\n");
-		return -1;
-	}
+        dev = pci_dev_find(0x8086, 0x7110);     /* Intel PIIX4 ISA bridge */
+        if (!dev) {
+                msg_perr("\nERROR: Intel PIIX4 ISA bridge not found.\n");
+                return -1;
+        }
 
-	/* Sanity check. */
-	if (gpo > 30) {
-		msg_perr("\nERROR: Intel PIIX4 has no GPO%d.\n", gpo);
-		return -1;
-	}
+        /* Sanity check. */
+        if (gpo > 30) {
+                msg_perr("\nERROR: Intel PIIX4 has no GPO%d.\n", gpo);
+                return -1;
+        }
 
-	if ( (((1 << gpo) & nonmuxed_gpos) == 0) &&
-	     (pci_read_word(dev, piix4_gpo[gpo].reg) & piix4_gpo[gpo].mask) != piix4_gpo[gpo].value ) {
-	  msg_perr("\nERROR: PIIX4 GPO%d not programmed for output.\n", gpo);
-	  return -1;
-	}
+        if ( (((1 << gpo) & nonmuxed_gpos) == 0) &&
+             (pci_read_word(dev, piix4_gpo[gpo].reg) & piix4_gpo[gpo].mask) != piix4_gpo[gpo].value ) {
+          msg_perr("\nERROR: PIIX4 GPO%d not programmed for output.\n", gpo);
+          return -1;
+        }
 
-	dev = pci_dev_find(0x8086, 0x7113);	/* Intel PIIX4 PM */
-	if (!dev) {
-		msg_perr("\nERROR: Intel PIIX4 PM not found.\n");
-		return -1;
-	}
+        dev = pci_dev_find(0x8086, 0x7113);     /* Intel PIIX4 PM */
+        if (!dev) {
+                msg_perr("\nERROR: Intel PIIX4 PM not found.\n");
+                return -1;
+        }
 
-	/* PM IO base */
-	base = pci_read_long(dev, 0x40) & 0x0000FFC0;
+        /* PM IO base */
+        base = pci_read_long(dev, 0x40) & 0x0000FFC0;
 
-	gpo_byte = gpo >> 3;
-	gpo_bit = gpo & 7;
-	tmp = INB(base + 0x34 + gpo_byte); /* GPO register */
-	if (raise)
-		tmp |= 0x01 << gpo_bit;
-	else
-		tmp &= ~(0x01 << gpo_bit);
-	OUTB(tmp, base + 0x34 + gpo_byte);
+        gpo_byte = gpo >> 3;
+        gpo_bit = gpo & 7;
+        tmp = INB(base + 0x34 + gpo_byte); /* GPO register */
+        if (raise)
+                tmp |= 0x01 << gpo_bit;
+        else
+                tmp &= ~(0x01 << gpo_bit);
+        OUTB(tmp, base + 0x34 + gpo_byte);
 
-	return 0;
+        return 0;
 }
 
 /*
@@ -1172,7 +1175,7 @@
  */
 static int intel_piix4_gpo18_lower(void)
 {
-	return intel_piix4_gpo_set(18, 0);
+        return intel_piix4_gpo_set(18, 0);
 }
 
 /*
@@ -1181,7 +1184,7 @@
  */
 static int intel_piix4_gpo14_raise(void)
 {
-	return intel_piix4_gpo_set(14, 1);
+        return intel_piix4_gpo_set(14, 1);
 }
 
 /*
@@ -1190,7 +1193,7 @@
  */
 static int intel_piix4_gpo22_raise(void)
 {
-	return intel_piix4_gpo_set(22, 1);
+        return intel_piix4_gpo_set(22, 1);
 }
 
 /*
@@ -1199,7 +1202,7 @@
  */
 static int intel_piix4_gpo26_lower(void)
 {
-	return intel_piix4_gpo_set(26, 0);
+        return intel_piix4_gpo_set(26, 0);
 }
 
 /*
@@ -1208,7 +1211,7 @@
  */
 static int intel_piix4_gpo27_lower(void)
 {
-	return intel_piix4_gpo_set(27, 0);
+        return intel_piix4_gpo_set(27, 0);
 }
 
 /*
@@ -1217,7 +1220,7 @@
  */
 static int intel_piix4_gpo30_lower(void)
 {
-	return intel_piix4_gpo_set(30, 0);
+        return intel_piix4_gpo_set(30, 0);
 }
 
 /*
